[![Build Status](https://secure.travis-ci.org/SemanticMediaWiki/SemanticMediaWiki.png?branch=master)](http://travis-ci.org/SemanticMediaWiki/SemanticMediaWiki)
[![Code Coverage](https://scrutinizer-ci.com/g/SemanticMediaWiki/SemanticMediaWiki/badges/coverage.png?s=f3501ede0bcc98824aa51501eb3647ecf71218c0)](https://scrutinizer-ci.com/g/SemanticMediaWiki/SemanticMediaWiki/)
[![Scrutinizer Quality Score](https://scrutinizer-ci.com/g/SemanticMediaWiki/SemanticMediaWiki/badges/quality-score.png?s=d9aac7e68e6554f95b0a89608cbc36985429d819)](https://scrutinizer-ci.com/g/SemanticMediaWiki/SemanticMediaWiki/)
[![Latest Stable Version](https://poser.pugx.org/mediawiki/semantic-media-wiki/version.png)](https://packagist.org/packages/mediawiki/semantic-media-wiki)
[![Packagist download count](https://poser.pugx.org/mediawiki/semantic-media-wiki/d/total.png)](https://packagist.org/packages/mediawiki/semantic-media-wiki)
[![Dependency Status](https://www.versioneye.com/php/mediawiki:semantic-mediawiki/badge.png)](https://www.versioneye.com/php/mediawiki:semantic-mediawiki)

# Semantic MediaWiki

Semantic MediaWiki (SMW) is a free, open-source extension to [MediaWiki]
(https://semantic-mediawiki.org/wiki/MediaWiki) – the wiki software that
powers Wikipedia – that lets you store and query data within the wiki's pages.

Semantic MediaWiki is also a full-fledged framework, in conjunction with
many spinoff extensions, that can turn a wiki into a powerful and flexible
knowledge management system. All data created within SMW can easily be
published via the [Semantic Web](https://semantic-mediawiki.org/wiki/Semantic_Web),
allowing other systems to use this data seamlessly.

For details and further links, see [the SMW wiki](https://semantic-mediawiki.org).

## Installation
The easiest way to install Semantic MediaWiki is by using [Composer](http://getcomposer.org/). It is recommended to read the [installation instructions](docs/INSTALL.md) together with the available [upgrade guide](https://www.semantic-mediawiki.org/wiki/Help:Installation).

## Documentation

Most of the documentation can be found on the [SMW wiki](https://semantic-mediawiki.org).
A small core of documentation also comes bundled with the software itself. This documentation
is minimalistic and less explanatory then what can be found on the SMW wiki. It is however
always kept up to date, and applies to the version of the code it comes bundled with.
The most important files are linked below.

* [User documentation overview](docs/README.md)
* [Developer documentation overview](docs/technical/README.md)

## Contributors

Many people have contributed to SMW. You can find an overview [on the SMW wiki]
(https://semantic-mediawiki.org/wiki/Help:SMW_Project#Contributors).

## License

The COPYING file explains SMW's copyright and license (GNU General Public License, version 2 or later).

## Contact

If you have remarks, questions, or suggestions, please send them to [our mailing list]
(https://semantic-mediawiki.org/wiki/Mailing_list). Alternatively you can join
our #semantic-mediawiki IRC chatroom on Freenode.

Bugs can be filed [on our GitHub project]
(https://github.com/SemanticMediaWiki/SemanticMediaWiki/issues).
You are also welcome to submit [pull requests]
(https://github.com/SemanticMediaWiki/SemanticMediaWiki/pulls)
against this project.

[![Twitter](https://semantic-mediawiki.org/w/images/c/c9/Twitter_icon.jpg)](https://twitter.com/#!/semanticmw)
[![Facebook](https://semantic-mediawiki.org/w/images/thumb/7/77/677166248.png/30px-677166248.png)](https://www.facebook.com/pages/Semantic-MediaWiki/160459700707245)
[![Google+](https://semantic-mediawiki.org/w/images/a/ae/30px-Google%2B.png)](https://plus.google.com/115301028320198614441/posts)
